package data.dto;

import play.data.validation.Constraints;


public class NewUserDTO {
    @Constraints.Required
    private String username;

    @Constraints.Required
    @Constraints.MinLength(8)
    private String password;

    @Constraints.Required
    private String passwordre;

    @Constraints.Required
    @Constraints.Email
    private String email;

    private String displayName;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getPasswordre() {
        return passwordre;
    }

    public void setPasswordre(String passwordre) {
        this.passwordre = passwordre;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getDisplayName() {
        return displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }
}
